Get your referral history for invited friends

Retrieve a list of your referrals and see the status of your invited friends. Track your referrals and potential rewards.

Account & Settings Account

Context

Used in the dashboard

/referral

Query Parameters

limit string required · Example: 10

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.hasMore boolean required · Example: false
data.items array<object> required · Example: []
data.limit integer required · Example: 10
data.offset integer required · Example: 0
data.total integer required · Example: 0
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/referral/history
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/referral/history?limit=10" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "items": [],
    "total": 0,
    "limit": 10,
    "offset": 0,
    "hasMore": false
  }
}